Results 1 to 3 of 3

Thread: Cmd v5.1.0.26 to v5.1.3.61 breaks my app

  1. #1
    Sencha Premium Member
    Join Date
    Jul 2013
    Posts
    2

    Question Cmd v5.1.0.26 to v5.1.3.61 breaks my app

    I have an older app in ExtJS 4.2.1. It was last compiled using Cmd v5.1.0.26 on 3/29/16. I'm being asked to possibly make some changes to the app. I attempted to compile the app with the latest v6 which did not work, then I tried the latest v5 (5.1.3.61) and that did not work either. So I searched for the older v5.1.0.26 and it works (however, I did have to add skip.slice=1 to my sencha.cfg file because it would not compile in any version with the slicer).

    Now let me be more specific regarding these "failures" with new versions of Cmd. The compiler completes without errors, but the app does not load (blank screen) and there are no console errors or nginx errors. After a full day of trying many different things I finally discovered what the problem is. When I look at a diff of the produced app.js in both 5.1.0 and 5.1.3 there are only a few changes. In fact they contain the exact same lines of code with only the order changed in a few places. But one difference that I determined to be the failure is based on the location of this line of code:

    Code:
    Ext.application({name:"myApp", extend:myApp.Application,autoCreateViewport:true});
    In 5.1.3 this is the last bit of code in app.js, and my app will not load. If I move this line of code up before
    Code:
    Ext.Loader.addClassPathMappings...
    as it is in 5.1.0 the app loads just fine.

    Can someone explain how this order is significant, and why my app won't load when it is at the end of file as happens in 5.1.3?

    Are there any necessary code changes to make to upgrade Cmd versions without upgrading ExtJS versions?

  2. #2
    Sencha - Forum Administrator
    Join Date
    Sep 2017
    Posts
    1,006

    Default

    Hi there- I have shared this with the support staff and asked that someone get back with you. We certainly appreciate your patience!

    Kindly,

    Michele

  3. #3
    Sencha Premium Member
    Join Date
    Jul 2013
    Posts
    2

    Default

    Ok. thanks Michele.

Similar Threads

  1. Upgrading from 2.0 to 2.1.1 breaks my app!
    By diractor in forum Sencha Touch 2.x: Q&A
    Replies: 3
    Last Post: 31 Mar 2013, 3:44 PM
  2. SDK v1.1 breaks MVC
    By jkeys089 in forum Ext:Bugs
    Replies: 0
    Last Post: 8 Jun 2011, 8:12 AM
  3. [FNR] [1.2.4] BorderLayout breaks on re-add
    By Cputerace in forum Ext GWT: Bugs (1.x)
    Replies: 8
    Last Post: 19 May 2009, 12:51 PM
  4. 2.0.1 Breaks me
    By Sultanalifezar in forum Ext 2.x: Help & Discussion
    Replies: 2
    Last Post: 5 Feb 2008, 11:18 AM
  5. 2.0 Breaks 1.1 Menu
    By kenITR in forum Ext 2.x: Help & Discussion
    Replies: 3
    Last Post: 30 Jan 2008, 2:26 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •